//
// Created by servostar on 27.10.23.
//

#include "button.h"

ISR(INT0_vect)
{
    PORTB = 0;
}

ISR(INT1_vect)
{
    PORTB = 0xff;
}

void init() {
    // set B as output
    DDRB = 0xff;
    PORTB = 0x00;

    // set Port D to input (bit 2/3, remember bit 0/1 are for UART)
    SET_INPUT(DDRD, DDD2);
    SET_INPUT(DDRD, DDD3);
    // put 5V on input (make it pull up resistor)
    SET_BIT(PORTD, DDD2);
    SET_BIT(PORTD, DDD3);

    // configure interrupt mode
    SET_INTERRUPT_MODE(0, FALLING);
    SET_INTERRUPT_MODE(1, FALLING);

    // enable interrupt 0 and 1
    ENABLE_INTERRUPT(0);
    ENABLE_INTERRUPT(1);

    // enable interrupts globally
    sei();
}

void loop() {

}
