//
// Created by servostar on 09.12.23.
//

#ifndef ARDUINO_UART_H
#define ARDUINO_UART_H

#include "prelude.h"

#include <stddef.h>
#include <inttypes.h>

void uart_init(uint16_t baud);

uint8_t uart_read();

void uart_read(uint8_t* buffer, size_t size);

void uart_write(uint8_t frame);

void uart_write_bytes(const uint8_t* buffer, size_t bytes);

void uart_write_string(const char* string);

#endif //ARDUINO_UART_H
