//
// Created by servostar on 30.10.23.
//

#include "summer.h"

ISR (TIMER0_COMPA_vect)
{
    PORTB = ~PORTB;
}

void init() {
    DDRB = 255;
    PORTB = 0;

    TCCR0A |= (1 << WGM01);   // set timer to CTC

    OCR0A = 0x70; // count up to this value 440Hz
//    OCR0A = 0x117; // count up to this value 265Hz

    TIMSK0 |= (1 << OCIE0A);  // enable timer 0

    TCCR0B |= (1 << CS02) | (1 << CS00);    // start timer and set prescaler to 1024

    sei();  // enable interrupts
}

void loop() {

}
